unit schRemesasClienteServer_Intf;

interface

uses
  Classes, DB, SysUtils, uROClasses, uDADataTable, uDABusinessProcessor, FmtBCD, uROXMLIntf, schRemesasClienteClient_Intf;

const
  { Delta rules ids 
       Feel free to change them to something more human readable
       but make sure they are unique in the context of your application }
  RID_ListaAnosRemesasDelta = '{6C373A41-A09A-452A-932B-A3D8A57D3796}';
  RID_RemesasClienteDelta = '{52679A52-CD63-419C-AFE2-86E2E6CE2F73}';

type
  { IListaAnosRemesasDelta }
  IListaAnosRemesasDelta = interface(IListaAnosRemesas)
  ['{6C373A41-A09A-452A-932B-A3D8A57D3796}']
    { Property getters and setters }
    function GetOldANOValue : String;

    { Properties }
    property OldANO : String read GetOldANOValue;
  end;

  { TListaAnosRemesasBusinessProcessorRules }
  TListaAnosRemesasBusinessProcessorRules = class(TDABusinessProcessorRules, IListaAnosRemesas, IListaAnosRemesasDelta)
  private
  protected
    { Property getters and setters }
    function GetANOValue: String; virtual;
    function GetANOIsNull: Boolean; virtual;
    function GetOldANOValue: String; virtual;
    function GetOldANOIsNull: Boolean; virtual;
    procedure SetANOValue(const aValue: String); virtual;
    procedure SetANOIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ANO : String read GetANOValue write SetANOValue;
    property ANOIsNull : Boolean read GetANOIsNull write SetANOIsNull;
    property OldANO : String read GetOldANOValue;
    property OldANOIsNull : Boolean read GetOldANOIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

  { IRemesasClienteDelta }
  IRemesasClienteDelta = interface(IRemesasCliente)
  ['{52679A52-CD63-419C-AFE2-86E2E6CE2F73}']
    { Property getters and setters }
    function GetOldIDValue : Integer;
    function GetOldID_EMPRESAValue : Integer;
    function GetOldREFERENCIAValue : String;
    function GetOldTIPOValue : String;
    function GetOldFECHA_REMESAValue : DateTime;
    function GetOldDESCRIPCIONValue : String;
    function GetOldID_DATOS_BANCOValue : Integer;
    function GetOldFECHA_ALTAValue : DateTime;
    function GetOldFECHA_MODIFICACIONValue : DateTime;
    function GetOldUSUARIOValue : String;
    function GetOldNOMBREValue : String;
    function GetOldENTIDADValue : String;
    function GetOldSUCURSALValue : String;
    function GetOldDCValue : String;
    function GetOldCUENTAValue : String;
    function GetOldSUFIJO_N19Value : String;
    function GetOldSUFIJO_N58Value : String;
    function GetOldIMPORTE_TOTALValue : Currency;

    { Properties }
    property OldID : Integer read GetOldIDValue;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldTIPO : String read GetOldTIPOValue;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldDC : String read GetOldDCValue;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
  end;

  { TRemesasClienteBusinessProcessorRules }
  TRemesasClienteBusinessProcessorRules = class(TDABusinessProcessorRules, IRemesasCliente, IRemesasClienteDelta)
  private
  protected
    { Property getters and setters }
    function GetIDValue: Integer; virtual;
    function GetIDIsNull: Boolean; virtual;
    function GetOldIDValue: Integer; virtual;
    function GetOldIDIsNull: Boolean; virtual;
    procedure SetIDValue(const aValue: Integer); virtual;
    procedure SetIDIsNull(const aValue: Boolean); virtual;
    function GetID_EMPRESAValue: Integer; virtual;
    function GetID_EMPRESAIsNull: Boolean; virtual;
    function GetOldID_EMPRESAValue: Integer; virtual;
    function GetOldID_EMPRESAIsNull: Boolean; virtual;
    procedure SetID_EMPRESAValue(const aValue: Integer); virtual;
    procedure SetID_EMPRESAIsNull(const aValue: Boolean); virtual;
    function GetREFERENCIAValue: String; virtual;
    function GetREFERENCIAIsNull: Boolean; virtual;
    function GetOldREFERENCIAValue: String; virtual;
    function GetOldREFERENCIAIsNull: Boolean; virtual;
    procedure SetREFERENCIAValue(const aValue: String); virtual;
    procedure SetREFERENCIAIsNull(const aValue: Boolean); virtual;
    function GetTIPOValue: String; virtual;
    function GetTIPOIsNull: Boolean; virtual;
    function GetOldTIPOValue: String; virtual;
    function GetOldTIPOIsNull: Boolean; virtual;
    procedure SetTIPOValue(const aValue: String); virtual;
    procedure SetTIPOIsNull(const aValue: Boolean); virtual;
    function GetFECHA_REMESAValue: DateTime; virtual;
    function GetFECHA_REMESAIsNull: Boolean; virtual;
    function GetOldFECHA_REMESAValue: DateTime; virtual;
    function GetOldFECHA_REMESAIsNull: Boolean; virtual;
    procedure SetFECHA_REMESAValue(const aValue: DateTime); virtual;
    procedure SetFECHA_REMESAIsNull(const aValue: Boolean); virtual;
    function GetDESCRIPCIONValue: String; virtual;
    function GetDESCRIPCIONIsNull: Boolean; virtual;
    function GetOldDESCRIPCIONValue: String; virtual;
    function GetOldDESCRIPCIONIsNull: Boolean; virtual;
    procedure SetDESCRIPCIONValue(const aValue: String); virtual;
    procedure SetDESCRIPCIONIsNull(const aValue: Boolean); virtual;
    function GetID_DATOS_BANCOValue: Integer; virtual;
    function GetID_DATOS_BANCOIsNull: Boolean; virtual;
    function GetOldID_DATOS_BANCOValue: Integer; virtual;
    function GetOldID_DATOS_BANCOIsNull: Boolean; virtual;
    procedure SetID_DATOS_BANCOValue(const aValue: Integer); virtual;
    procedure SetID_DATOS_BANCOIsNull(const aValue: Boolean); virtual;
    function GetFECHA_ALTAValue: DateTime; virtual;
    function GetFECHA_ALTAIsNull: Boolean; virtual;
    function GetOldFECHA_ALTAValue: DateTime; virtual;
    function GetOldFECHA_ALTAIsNull: Boolean; virtual;
    procedure SetFECHA_ALTAValue(const aValue: DateTime); virtual;
    procedure SetFECHA_ALTAIsNull(const aValue: Boolean); virtual;
    function GetFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetFECHA_MODIFICACIONIsNull: Boolean; virtual;
    function GetOldFECHA_MODIFICACIONValue: DateTime; virtual;
    function GetOldFECHA_MODIFICACIONIsNull: Boolean; virtual;
    procedure SetFECHA_MODIFICACIONValue(const aValue: DateTime); virtual;
    procedure SetFECHA_MODIFICACIONIsNull(const aValue: Boolean); virtual;
    function GetUSUARIOValue: String; virtual;
    function GetUSUARIOIsNull: Boolean; virtual;
    function GetOldUSUARIOValue: String; virtual;
    function GetOldUSUARIOIsNull: Boolean; virtual;
    procedure SetUSUARIOValue(const aValue: String); virtual;
    procedure SetUSUARIOIsNull(const aValue: Boolean); virtual;
    function GetNOMBREValue: String; virtual;
    function GetNOMBREIsNull: Boolean; virtual;
    function GetOldNOMBREValue: String; virtual;
    function GetOldNOMBREIsNull: Boolean; virtual;
    procedure SetNOMBREValue(const aValue: String); virtual;
    procedure SetNOMBREIsNull(const aValue: Boolean); virtual;
    function GetENTIDADValue: String; virtual;
    function GetENTIDADIsNull: Boolean; virtual;
    function GetOldENTIDADValue: String; virtual;
    function GetOldENTIDADIsNull: Boolean; virtual;
    procedure SetENTIDADValue(const aValue: String); virtual;
    procedure SetENTIDADIsNull(const aValue: Boolean); virtual;
    function GetSUCURSALValue: String; virtual;
    function GetSUCURSALIsNull: Boolean; virtual;
    function GetOldSUCURSALValue: String; virtual;
    function GetOldSUCURSALIsNull: Boolean; virtual;
    procedure SetSUCURSALValue(const aValue: String); virtual;
    procedure SetSUCURSALIsNull(const aValue: Boolean); virtual;
    function GetDCValue: String; virtual;
    function GetDCIsNull: Boolean; virtual;
    function GetOldDCValue: String; virtual;
    function GetOldDCIsNull: Boolean; virtual;
    procedure SetDCValue(const aValue: String); virtual;
    procedure SetDCIsNull(const aValue: Boolean); virtual;
    function GetCUENTAValue: String; virtual;
    function GetCUENTAIsNull: Boolean; virtual;
    function GetOldCUENTAValue: String; virtual;
    function GetOldCUENTAIsNull: Boolean; virtual;
    procedure SetCUENTAValue(const aValue: String); virtual;
    procedure SetCUENTAIsNull(const aValue: Boolean); virtual;
    function GetSUFIJO_N19Value: String; virtual;
    function GetSUFIJO_N19IsNull: Boolean; virtual;
    function GetOldSUFIJO_N19Value: String; virtual;
    function GetOldSUFIJO_N19IsNull: Boolean; virtual;
    procedure SetSUFIJO_N19Value(const aValue: String); virtual;
    procedure SetSUFIJO_N19IsNull(const aValue: Boolean); virtual;
    function GetSUFIJO_N58Value: String; virtual;
    function GetSUFIJO_N58IsNull: Boolean; virtual;
    function GetOldSUFIJO_N58Value: String; virtual;
    function GetOldSUFIJO_N58IsNull: Boolean; virtual;
    procedure SetSUFIJO_N58Value(const aValue: String); virtual;
    procedure SetSUFIJO_N58IsNull(const aValue: Boolean); virtual;
    function GetIMPORTE_TOTALValue: Currency; virtual;
    function GetIMPORTE_TOTALIsNull: Boolean; virtual;
    function GetOldIMPORTE_TOTALValue: Currency; virtual;
    function GetOldIMPORTE_TOTALIsNull: Boolean; virtual;
    procedure SetIMPORTE_TOTALValue(const aValue: Currency); virtual;
    procedure SetIMPORTE_TOTALIsNull(const aValue: Boolean); virtual;

    { Properties }
    property ID : Integer read GetIDValue write SetIDValue;
    property IDIsNull : Boolean read GetIDIsNull write SetIDIsNull;
    property OldID : Integer read GetOldIDValue;
    property OldIDIsNull : Boolean read GetOldIDIsNull;
    property ID_EMPRESA : Integer read GetID_EMPRESAValue write SetID_EMPRESAValue;
    property ID_EMPRESAIsNull : Boolean read GetID_EMPRESAIsNull write SetID_EMPRESAIsNull;
    property OldID_EMPRESA : Integer read GetOldID_EMPRESAValue;
    property OldID_EMPRESAIsNull : Boolean read GetOldID_EMPRESAIsNull;
    property REFERENCIA : String read GetREFERENCIAValue write SetREFERENCIAValue;
    property REFERENCIAIsNull : Boolean read GetREFERENCIAIsNull write SetREFERENCIAIsNull;
    property OldREFERENCIA : String read GetOldREFERENCIAValue;
    property OldREFERENCIAIsNull : Boolean read GetOldREFERENCIAIsNull;
    property TIPO : String read GetTIPOValue write SetTIPOValue;
    property TIPOIsNull : Boolean read GetTIPOIsNull write SetTIPOIsNull;
    property OldTIPO : String read GetOldTIPOValue;
    property OldTIPOIsNull : Boolean read GetOldTIPOIsNull;
    property FECHA_REMESA : DateTime read GetFECHA_REMESAValue write SetFECHA_REMESAValue;
    property FECHA_REMESAIsNull : Boolean read GetFECHA_REMESAIsNull write SetFECHA_REMESAIsNull;
    property OldFECHA_REMESA : DateTime read GetOldFECHA_REMESAValue;
    property OldFECHA_REMESAIsNull : Boolean read GetOldFECHA_REMESAIsNull;
    property DESCRIPCION : String read GetDESCRIPCIONValue write SetDESCRIPCIONValue;
    property DESCRIPCIONIsNull : Boolean read GetDESCRIPCIONIsNull write SetDESCRIPCIONIsNull;
    property OldDESCRIPCION : String read GetOldDESCRIPCIONValue;
    property OldDESCRIPCIONIsNull : Boolean read GetOldDESCRIPCIONIsNull;
    property ID_DATOS_BANCO : Integer read GetID_DATOS_BANCOValue write SetID_DATOS_BANCOValue;
    property ID_DATOS_BANCOIsNull : Boolean read GetID_DATOS_BANCOIsNull write SetID_DATOS_BANCOIsNull;
    property OldID_DATOS_BANCO : Integer read GetOldID_DATOS_BANCOValue;
    property OldID_DATOS_BANCOIsNull : Boolean read GetOldID_DATOS_BANCOIsNull;
    property FECHA_ALTA : DateTime read GetFECHA_ALTAValue write SetFECHA_ALTAValue;
    property FECHA_ALTAIsNull : Boolean read GetFECHA_ALTAIsNull write SetFECHA_ALTAIsNull;
    property OldFECHA_ALTA : DateTime read GetOldFECHA_ALTAValue;
    property OldFECHA_ALTAIsNull : Boolean read GetOldFECHA_ALTAIsNull;
    property FECHA_MODIFICACION : DateTime read GetFECHA_MODIFICACIONValue write SetFECHA_MODIFICACIONValue;
    property FECHA_MODIFICACIONIsNull : Boolean read GetFECHA_MODIFICACIONIsNull write SetFECHA_MODIFICACIONIsNull;
    property OldFECHA_MODIFICACION : DateTime read GetOldFECHA_MODIFICACIONValue;
    property OldFECHA_MODIFICACIONIsNull : Boolean read GetOldFECHA_MODIFICACIONIsNull;
    property USUARIO : String read GetUSUARIOValue write SetUSUARIOValue;
    property USUARIOIsNull : Boolean read GetUSUARIOIsNull write SetUSUARIOIsNull;
    property OldUSUARIO : String read GetOldUSUARIOValue;
    property OldUSUARIOIsNull : Boolean read GetOldUSUARIOIsNull;
    property NOMBRE : String read GetNOMBREValue write SetNOMBREValue;
    property NOMBREIsNull : Boolean read GetNOMBREIsNull write SetNOMBREIsNull;
    property OldNOMBRE : String read GetOldNOMBREValue;
    property OldNOMBREIsNull : Boolean read GetOldNOMBREIsNull;
    property ENTIDAD : String read GetENTIDADValue write SetENTIDADValue;
    property ENTIDADIsNull : Boolean read GetENTIDADIsNull write SetENTIDADIsNull;
    property OldENTIDAD : String read GetOldENTIDADValue;
    property OldENTIDADIsNull : Boolean read GetOldENTIDADIsNull;
    property SUCURSAL : String read GetSUCURSALValue write SetSUCURSALValue;
    property SUCURSALIsNull : Boolean read GetSUCURSALIsNull write SetSUCURSALIsNull;
    property OldSUCURSAL : String read GetOldSUCURSALValue;
    property OldSUCURSALIsNull : Boolean read GetOldSUCURSALIsNull;
    property DC : String read GetDCValue write SetDCValue;
    property DCIsNull : Boolean read GetDCIsNull write SetDCIsNull;
    property OldDC : String read GetOldDCValue;
    property OldDCIsNull : Boolean read GetOldDCIsNull;
    property CUENTA : String read GetCUENTAValue write SetCUENTAValue;
    property CUENTAIsNull : Boolean read GetCUENTAIsNull write SetCUENTAIsNull;
    property OldCUENTA : String read GetOldCUENTAValue;
    property OldCUENTAIsNull : Boolean read GetOldCUENTAIsNull;
    property SUFIJO_N19 : String read GetSUFIJO_N19Value write SetSUFIJO_N19Value;
    property SUFIJO_N19IsNull : Boolean read GetSUFIJO_N19IsNull write SetSUFIJO_N19IsNull;
    property OldSUFIJO_N19 : String read GetOldSUFIJO_N19Value;
    property OldSUFIJO_N19IsNull : Boolean read GetOldSUFIJO_N19IsNull;
    property SUFIJO_N58 : String read GetSUFIJO_N58Value write SetSUFIJO_N58Value;
    property SUFIJO_N58IsNull : Boolean read GetSUFIJO_N58IsNull write SetSUFIJO_N58IsNull;
    property OldSUFIJO_N58 : String read GetOldSUFIJO_N58Value;
    property OldSUFIJO_N58IsNull : Boolean read GetOldSUFIJO_N58IsNull;
    property IMPORTE_TOTAL : Currency read GetIMPORTE_TOTALValue write SetIMPORTE_TOTALValue;
    property IMPORTE_TOTALIsNull : Boolean read GetIMPORTE_TOTALIsNull write SetIMPORTE_TOTALIsNull;
    property OldIMPORTE_TOTAL : Currency read GetOldIMPORTE_TOTALValue;
    property OldIMPORTE_TOTALIsNull : Boolean read GetOldIMPORTE_TOTALIsNull;

  public
    constructor Create(aBusinessProcessor: TDABusinessProcessor); override;
    destructor Destroy; override;

  end;

implementation

uses
  Variants, uROBinaryHelpers, uDAInterfaces;

{ TListaAnosRemesasBusinessProcessorRules }
constructor TListaAnosRemesasBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TListaAnosRemesasBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TListaAnosRemesasBusinessProcessorRules.GetANOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_ListaAnosRemesasANO];
end;

function TListaAnosRemesasBusinessProcessorRules.GetANOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_ListaAnosRemesasANO]);
end;

function TListaAnosRemesasBusinessProcessorRules.GetOldANOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_ListaAnosRemesasANO];
end;

function TListaAnosRemesasBusinessProcessorRules.GetOldANOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_ListaAnosRemesasANO]);
end;

procedure TListaAnosRemesasBusinessProcessorRules.SetANOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_ListaAnosRemesasANO] := aValue;
end;

procedure TListaAnosRemesasBusinessProcessorRules.SetANOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_ListaAnosRemesasANO] := Null;
end;


{ TRemesasClienteBusinessProcessorRules }
constructor TRemesasClienteBusinessProcessorRules.Create(aBusinessProcessor: TDABusinessProcessor);
begin
  inherited;
end;

destructor TRemesasClienteBusinessProcessorRules.Destroy;
begin
  inherited;
end;

function TRemesasClienteBusinessProcessorRules.GetIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID];
end;

function TRemesasClienteBusinessProcessorRules.GetIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldIDValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteID];
end;

function TRemesasClienteBusinessProcessorRules.GetOldIDIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteID]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetIDValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetIDIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_EMPRESA];
end;

function TRemesasClienteBusinessProcessorRules.GetID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_EMPRESA]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldID_EMPRESAValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteID_EMPRESA];
end;

function TRemesasClienteBusinessProcessorRules.GetOldID_EMPRESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteID_EMPRESA]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetID_EMPRESAValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_EMPRESA] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetID_EMPRESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_EMPRESA] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteREFERENCIA];
end;

function TRemesasClienteBusinessProcessorRules.GetREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteREFERENCIA]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldREFERENCIAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteREFERENCIA];
end;

function TRemesasClienteBusinessProcessorRules.GetOldREFERENCIAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteREFERENCIA]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetREFERENCIAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteREFERENCIA] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetREFERENCIAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteREFERENCIA] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteTIPO];
end;

function TRemesasClienteBusinessProcessorRules.GetTIPOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteTIPO]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldTIPOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteTIPO];
end;

function TRemesasClienteBusinessProcessorRules.GetOldTIPOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteTIPO]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetTIPOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteTIPO] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetTIPOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteTIPO] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_REMESA];
end;

function TRemesasClienteBusinessProcessorRules.GetFECHA_REMESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_REMESA]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldFECHA_REMESAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteFECHA_REMESA];
end;

function TRemesasClienteBusinessProcessorRules.GetOldFECHA_REMESAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteFECHA_REMESA]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetFECHA_REMESAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_REMESA] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetFECHA_REMESAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_REMESA] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDESCRIPCION];
end;

function TRemesasClienteBusinessProcessorRules.GetDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDESCRIPCION]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldDESCRIPCIONValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteDESCRIPCION];
end;

function TRemesasClienteBusinessProcessorRules.GetOldDESCRIPCIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteDESCRIPCION]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetDESCRIPCIONValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDESCRIPCION] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetDESCRIPCIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDESCRIPCION] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_DATOS_BANCO];
end;

function TRemesasClienteBusinessProcessorRules.GetID_DATOS_BANCOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_DATOS_BANCO]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldID_DATOS_BANCOValue: Integer;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteID_DATOS_BANCO];
end;

function TRemesasClienteBusinessProcessorRules.GetOldID_DATOS_BANCOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteID_DATOS_BANCO]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetID_DATOS_BANCOValue(const aValue: Integer);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_DATOS_BANCO] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetID_DATOS_BANCOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteID_DATOS_BANCO] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_ALTA];
end;

function TRemesasClienteBusinessProcessorRules.GetFECHA_ALTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_ALTA]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldFECHA_ALTAValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteFECHA_ALTA];
end;

function TRemesasClienteBusinessProcessorRules.GetOldFECHA_ALTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteFECHA_ALTA]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetFECHA_ALTAValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_ALTA] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetFECHA_ALTAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_ALTA] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_MODIFICACION];
end;

function TRemesasClienteBusinessProcessorRules.GetFECHA_MODIFICACIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_MODIFICACION]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldFECHA_MODIFICACIONValue: DateTime;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteFECHA_MODIFICACION];
end;

function TRemesasClienteBusinessProcessorRules.GetOldFECHA_MODIFICACIONIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteFECHA_MODIFICACION]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetFECHA_MODIFICACIONValue(const aValue: DateTime);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_MODIFICACION] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetFECHA_MODIFICACIONIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteFECHA_MODIFICACION] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteUSUARIO];
end;

function TRemesasClienteBusinessProcessorRules.GetUSUARIOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteUSUARIO]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldUSUARIOValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteUSUARIO];
end;

function TRemesasClienteBusinessProcessorRules.GetOldUSUARIOIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteUSUARIO]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetUSUARIOValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteUSUARIO] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetUSUARIOIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteUSUARIO] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteNOMBRE];
end;

function TRemesasClienteBusinessProcessorRules.GetNOMBREIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteNOMBRE]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldNOMBREValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteNOMBRE];
end;

function TRemesasClienteBusinessProcessorRules.GetOldNOMBREIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteNOMBRE]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetNOMBREValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteNOMBRE] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetNOMBREIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteNOMBRE] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteENTIDAD];
end;

function TRemesasClienteBusinessProcessorRules.GetENTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteENTIDAD]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldENTIDADValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteENTIDAD];
end;

function TRemesasClienteBusinessProcessorRules.GetOldENTIDADIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteENTIDAD]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetENTIDADValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteENTIDAD] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetENTIDADIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteENTIDAD] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUCURSAL];
end;

function TRemesasClienteBusinessProcessorRules.GetSUCURSALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUCURSAL]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldSUCURSALValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteSUCURSAL];
end;

function TRemesasClienteBusinessProcessorRules.GetOldSUCURSALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteSUCURSAL]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetSUCURSALValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUCURSAL] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetSUCURSALIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUCURSAL] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDC];
end;

function TRemesasClienteBusinessProcessorRules.GetDCIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDC]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldDCValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteDC];
end;

function TRemesasClienteBusinessProcessorRules.GetOldDCIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteDC]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetDCValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDC] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetDCIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteDC] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteCUENTA];
end;

function TRemesasClienteBusinessProcessorRules.GetCUENTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteCUENTA]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldCUENTAValue: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteCUENTA];
end;

function TRemesasClienteBusinessProcessorRules.GetOldCUENTAIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteCUENTA]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetCUENTAValue(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteCUENTA] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetCUENTAIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteCUENTA] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N19];
end;

function TRemesasClienteBusinessProcessorRules.GetSUFIJO_N19IsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N19]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldSUFIJO_N19Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteSUFIJO_N19];
end;

function TRemesasClienteBusinessProcessorRules.GetOldSUFIJO_N19IsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteSUFIJO_N19]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetSUFIJO_N19Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N19] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetSUFIJO_N19IsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N19] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N58];
end;

function TRemesasClienteBusinessProcessorRules.GetSUFIJO_N58IsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N58]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldSUFIJO_N58Value: String;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteSUFIJO_N58];
end;

function TRemesasClienteBusinessProcessorRules.GetOldSUFIJO_N58IsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteSUFIJO_N58]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetSUFIJO_N58Value(const aValue: String);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N58] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetSUFIJO_N58IsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteSUFIJO_N58] := Null;
end;

function TRemesasClienteBusinessProcessorRules.GetIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteIMPORTE_TOTAL];
end;

function TRemesasClienteBusinessProcessorRules.GetIMPORTE_TOTALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteIMPORTE_TOTAL]);
end;

function TRemesasClienteBusinessProcessorRules.GetOldIMPORTE_TOTALValue: Currency;
begin
  result := BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteIMPORTE_TOTAL];
end;

function TRemesasClienteBusinessProcessorRules.GetOldIMPORTE_TOTALIsNull: Boolean;
begin
  result := VarIsNull(BusinessProcessor.CurrentChange.OldValueByName[fld_RemesasClienteIMPORTE_TOTAL]);
end;

procedure TRemesasClienteBusinessProcessorRules.SetIMPORTE_TOTALValue(const aValue: Currency);
begin
  BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteIMPORTE_TOTAL] := aValue;
end;

procedure TRemesasClienteBusinessProcessorRules.SetIMPORTE_TOTALIsNull(const aValue: Boolean);
begin
  if aValue then
    BusinessProcessor.CurrentChange.NewValueByName[fld_RemesasClienteIMPORTE_TOTAL] := Null;
end;


initialization
  RegisterBusinessProcessorRules(RID_ListaAnosRemesasDelta, TListaAnosRemesasBusinessProcessorRules);
  RegisterBusinessProcessorRules(RID_RemesasClienteDelta, TRemesasClienteBusinessProcessorRules);

end.
